Subject: [Netconf] yang document consistency

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 7 Aug 2009 16:46:31 +0200

While checking the IP address pattern in the monitoring draft, I
realized that the monitoring document uses a writing style for
identifiers which is different from all the other YANG documents we
have in the making so far and I personally would prefer commonality. I
also noted names such as NETCONFDatastoreType for a grouping, which I
think is misleading - it is not a type. I also would prefer a
different suggested prefix, e.g. nc-s (see also my suggestion for
nc-wd for the with-defaults document), so that we have consistent
prefixes for all NETCONF related data models. Perhaps we need to
establish some YANG doctors at some point in time to help in making
documents consistent.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>